Name:           edb
Version:        0.9.13
Release:        1%{?dist}
Summary:        A debugger based on the ptrace API and Qt4

Group:          Development/Debuggers
License:        GPLv2+
URL:            http://www.codef00.com/projects.php#Debugger
Source0:        http://www.codef00.com/projects/debugger-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
BuildRequires:  boost-devel
# as edb is an x86 debugger, ppc, ppc64 and ARM  are excluded
ExcludeArch:    ppc ppc64 %{arm}

%description
edb a debugger based on the ptrace API.

One of the main goals of this debugger is modularity.
The interface is written in Qt4 and thus source portable to many platforms.
The debugger core is a plugin and the platform specific code is isolated
to just a few files, porting to a new OS would require porting these few
files and implementing a plugin which implements the 
DebuggerCoreInterface interface. Also, because the plugins are based
on the QPlugin API, and do their work through the DebuggerCoreInterface
object, they are almost always portable with just a simple recompile.


%prep
%setup -q -n debugger
sed -i -e 's/\.uic/uic/' -e 's/\.moc/moc/' -e 's/\.rcc/rcc/' src/src.pro

%build
qmake-qt4 -makefile DEFAULT_PLUGIN_PATH="%{_libdir}/%{name}/"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -Dm 644 -p src/images/%{name}48-logo.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
make install INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}
install -Dm 755 -p edb_make_symbolmap.sh $RPM_BUILD_ROOT%{_bindir}
desktop-file-install --vendor=""   \
       --dir=%{buildroot}%{_datadir}/applications/   \
       %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README TODO VERSION README.plugins doc 
%{_bindir}/%{name}
%{_bindir}/%{name}_make_symbolmap.sh
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Feb 27 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.13-1
- Update to 0.9.13
* Thu Feb 18 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.12-1
- Update to 0.9.12
* Tue Jan 12 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.11-1
- Update to 0.9.11
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Sat Jul 11 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.10-1
- Rebuild for 0.9.10
* Wed May 27 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.9-1
- Rebuild for 0.9.9
* Wed Apr 22 2009 Kedar Sovani <kedars@marvell.com> 0.9.8-2
- ExcludeArch ARM
* Sat Apr  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.8-1
- Rebuild for 0.9.8
* Tue Mar 17 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.7-1
- Rebuild for 0.9.7
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
- added an include
* Sun Nov 23 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.6-2
- Licence fix
- Add desktop file
- Removed separate plugin package
* Sun Nov 16 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.6-1
- Rebuild for 0.9.6
* Mon Sep 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.5-1
- rebuild for 0.9.5
* Wed Aug 13 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.4-1
- rebuild for 0.9.4
* Sat Aug  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.3-1
* rebuild for 0.9.3
* Thu Jul 31 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.2-1
- rebuild for 0.9.2
* Mon Jul 28 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.1-1
- Rebuild for 0.9.1
* Mon Jul 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.9.0-1
- Initital build
